%global srcname tap.py

Name:           tappy
Version:        3.0
Release:        1%{?dist}
Summary:        tappy is a set of tools for working with the Test Anything Protocol (TAP)
License:        BSD
URL:            https://pypi.org/project/tap.py/
Source0:        %{pypi_source}
BuildArch:      noarch

%global _description %{expand:
tappy is a set of tools for working with the
[Test Anything Protocol (TAP)][tap] in Python. TAP is a line based test
protocol for recording test data in a standard way.}

%description %_description

%package -n python3-%name
Summary: %summary
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
# BuildRequires for make docs
BuildRequires:  python3-sphinx
# BuildRequires for %%check
BuildRequires:  python3-more-itertools
BuildRequires:  python3-pyyaml


%description -n python3-%name %_description

%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build
cd docs
make text
make man
make html

%install
%py3_install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/doc/python3-%{name}
cp -R docs/_build/text $RPM_BUILD_ROOT%{_datadir}/doc/python3-%{name}
cp -R docs/_build/html $RPM_BUILD_ROOT%{_datadir}/doc/python3-%{name}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/man/man1
cp -R docs/_build/man/* $RPM_BUILD_ROOT%{_datadir}/man/man1

# Do not conflict with nodejs-tap
rm $RPM_BUILD_ROOT%{_bindir}/tap


%check
env PYTHONPATH=. python tap/tests/run.py

%files -n python3-%name
%license LICENSE
%doc AUTHORS PKG-INFO README.md
%{_bindir}/tappy
%{_datadir}/doc/python3-%{name}/html
%{_datadir}/doc/python3-%{name}/text
%{_datadir}/man/man1/*
%{python3_sitelib}/%{srcname}-*.egg-info/
%{python3_sitelib}/tap/

%changelog
* Thu Jul 02 2020 Takao Fujiwara <tfujiwar@redhat.com> - 3.0-1
- Initial implementation
